curl https://api.notvis.com/v1/whatsapp/templates \
-H "Authorization: Bearer nc_live_your_api_key"
const response = await fetch('https://api.notvis.com/v1/whatsapp/templates', {
headers: { 'Authorization': 'Bearer nc_live_your_api_key' },
});
const { templates } = await response.json();
templates.forEach(t => console.log(t.name, t.language, t.status));
import requests
response = requests.get(
'https://api.notvis.com/v1/whatsapp/templates',
headers={'Authorization': 'Bearer nc_live_your_api_key'},
)
for t in response.json()['templates']:
print(t['name'], t['language'])
{
"templates": [
{
"id": "ecef131d-bd47-4aac-9aa0-60204b265cac",
"name": "order_confirmation",
"language": "en_US",
"category": "UTILITY",
"status": "APPROVED",
"components": [
{
"type": "BODY",
"text": "Hi {{1}}, your order {{2}} has been confirmed. Expected delivery: {{3}}."
}
]
},
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "hello_world",
"language": "en_US",
"category": "UTILITY",
"status": "APPROVED",
"components": [
{
"type": "BODY",
"text": "Hello World"
}
]
}
]
}
WhatsApp
List Templates
List all approved WhatsApp message templates for your account.
GET
/
v1
/
whatsapp
/
templates
curl https://api.notvis.com/v1/whatsapp/templates \
-H "Authorization: Bearer nc_live_your_api_key"
const response = await fetch('https://api.notvis.com/v1/whatsapp/templates', {
headers: { 'Authorization': 'Bearer nc_live_your_api_key' },
});
const { templates } = await response.json();
templates.forEach(t => console.log(t.name, t.language, t.status));
import requests
response = requests.get(
'https://api.notvis.com/v1/whatsapp/templates',
headers={'Authorization': 'Bearer nc_live_your_api_key'},
)
for t in response.json()['templates']:
print(t['name'], t['language'])
{
"templates": [
{
"id": "ecef131d-bd47-4aac-9aa0-60204b265cac",
"name": "order_confirmation",
"language": "en_US",
"category": "UTILITY",
"status": "APPROVED",
"components": [
{
"type": "BODY",
"text": "Hi {{1}}, your order {{2}} has been confirmed. Expected delivery: {{3}}."
}
]
},
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "hello_world",
"language": "en_US",
"category": "UTILITY",
"status": "APPROVED",
"components": [
{
"type": "BODY",
"text": "Hello World"
}
]
}
]
}
Request Headers
string
required
Bearer token. Format:
Bearer nc_live_your_api_keyResponse
array
Array of approved template objects.
Only templates with status
APPROVED are returned. Templates must be approved by Meta before they can be used to send messages.curl https://api.notvis.com/v1/whatsapp/templates \
-H "Authorization: Bearer nc_live_your_api_key"
const response = await fetch('https://api.notvis.com/v1/whatsapp/templates', {
headers: { 'Authorization': 'Bearer nc_live_your_api_key' },
});
const { templates } = await response.json();
templates.forEach(t => console.log(t.name, t.language, t.status));
import requests
response = requests.get(
'https://api.notvis.com/v1/whatsapp/templates',
headers={'Authorization': 'Bearer nc_live_your_api_key'},
)
for t in response.json()['templates']:
print(t['name'], t['language'])
{
"templates": [
{
"id": "ecef131d-bd47-4aac-9aa0-60204b265cac",
"name": "order_confirmation",
"language": "en_US",
"category": "UTILITY",
"status": "APPROVED",
"components": [
{
"type": "BODY",
"text": "Hi {{1}}, your order {{2}} has been confirmed. Expected delivery: {{3}}."
}
]
},
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "hello_world",
"language": "en_US",
"category": "UTILITY",
"status": "APPROVED",
"components": [
{
"type": "BODY",
"text": "Hello World"
}
]
}
]
}